﻿body.csc-docker-open 
{
    pointer-events: none;
    overflow: hidden;
}

/* kendo components used in modals are placed in the body.*/
    body.csc-docker-open > [class^='k-'],
    body.csc-docker-open > [class*=' k-'],
    body.csc-docker-open > .csc-modal
    {
        pointer-events: auto !important;
    }

.csc-docker {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    z-index: 1050 !important;
    background: rgba(0, 0, 0, 0.5);
    pointer-events: all;
}

.csc-docker-side,
.csc-docker-host {
    position: absolute;
    top: 0px;
    height: 100%;
    padding: 0;
    overflow-x: hidden;
    overflow-y: auto;
    font-size: 15px;
    color: white;
}

.csc-docker-side {
    left: 0px;
    width: 300px;
    background: #222;
}

.csc-docker-host {
    left: 300px;
    width: 400px; 
}

.csc-docker-host .csc-permission-list,
.csc-docker-host .csc-permission-buttons a {
    color: #333;
}

.csc-docker-host-big {
    left: 300px;
    width: calc(100% - 300px);
}

.csc-docker-close {
    display: block;
    position: absolute;
    font-size: 36px;
    color: #8bb9ee;
    top: 5px;
    left: 270px;
}

.csc-docker-menu
{
    margin-bottom: 20px;
}

.csc-docker-menu-title {
    display: block;
    font-size: 22px;
    text-transform: uppercase;
    padding: 15px;
    margin: 0;
    background: #111;
    height: 60px;
    border-bottom: 1px solid #444;
}

    .csc-docker-menu-title i.fa{
        padding-right: 15px;
    }

.csc-docker-menu-items i.fa {
    padding-right: 15px;
}

.csc-docker-menu-items > li > a {
    position: relative;
    display: block;
    padding: 10px 15px;
    font-size: 16px;
    color: #fff;
    border-bottom: 1px solid #444;
}

    .csc-docker-menu-items > li > a:hover {
        background: rgba(255,255,255, 0.05);
    }

    .csc-docker-menu-items > li > a 

.csc-docker-menu-items > li > a:after {
    position: absolute;
    display: inline-block;
    font-family: "FontAwesome";
    content: "\f0da";
    font-size: 20px;
    color: inherit;
    top: 5px;
    right: 0px;
    height: 100%;
    width: 20px;
}


.csc-docker-content {
    position: relative;
    height: 100%;
    width: 100%;
    background: #333;
    overflow: hidden;
    border-left: 1px #444 solid;
}

    .csc-docker-content a {
        color: #8bb9ee;
    }

    .csc-docker-content a:hover {
        color: #4d9af2;
    }

.csc-docker-header {
    background: #222;
    border-bottom: 1px #444 solid;
}

.csc-docker-title {
    padding: 15px 15px 8px 15px;
    font-size: 22px;
    text-transform: uppercase;
}

.csc-docker-title i.fa {
    padding-right: 15px;
}

    .csc-docker-title .csc-helplink-admin {
        text-transform: none;
    }

    .csc-docker-title .csc-helplink i.fa {
        font-size: 22px;
        padding-left: 15px;
        color: #8bb9ee;
    }

.csc-docker-body {
    display: block;
    position: absolute;
    left: 0px;
    /*top: 104px;*/
    width: 100%;
    height: calc(100% - 104px);
    padding: 0 15px 15px 15px;
    overflow-x: hidden;
    overflow-y: auto;
}

    .csc-docker-body .csc-form-section:not(:last-child) {
        border-bottom: 1px #444 solid;
    }

.csc-docker-buttons-left {
    text-align: left;
    padding-left: 15px;
}

.csc-docker-buttons-right {
    text-align: right;
    padding-right: 15px;
}

.csc-docker-buttons {
    padding-bottom: 15px;
}

.csc-docker-buttons button + button {
    margin-left: 10px;
}

    .csc-docker-buttons .csc-btn-default {
        background: #444;
        border-color: #444;
        color: #fff;
    }


/* overriding element colors */

.csc-docker .csc-nav-tabs,
.csc-docker .csc-nav-tabs * {
    border-color: #888;
}

.csc-docker .csc-nav-tabs > li > a {
    color: #fff !important;
}
    .csc-docker .csc-nav-tabs > li.active > a,
    .csc-docker .csc-nav-tabs > li > a:active {
        background-color: rgba(255,255,255, 0.2) !important;
        border-color: #888;
        color: #fff;
    }

    .csc-docker .csc-nav-tabs > li > a:hover,
    .csc-docker .csc-nav-tabs > li > a:focus {
        background-color: transparent !important;
        border-color: #fff;
    }

.csc-docker .csc-list-group,
.csc-docker .csc-list-group-item {
    background: none;
    border-color: #444;
}

    .csc-docker .csc-list-group-item.hover {
        background: rgba(255,255,255, 0.05);
        cursor: pointer;
    }

    .csc-docker .csc-list-group-item.active {
        border-color: #337ab7;
        background-color: rgba(51, 122, 183, 0.25);
    }

.csc-docker .csc-alert-default {
    color: #fff;
    background-color: rgba(255,255,255, 0.10);
    border-color: #444;
}

.csc-docker .csc-text-danger {
    color: #c00 !important;
}


/* Sliding Classes */
.csc-slide {
    position: absolute;
    transition: transform .5s ease;
    transform: translateX(-100%);
    -webkit-transform: translateX(-100%);
}

.csc-slide-in {
    transform: translateX(0%);
    -webkit-transform: translateX(0%);
}

@media (min-width: 1px) and (max-width: 599px) {
    .csc-docker-side {
        width: 50px;
    }

    .csc-docker-close,
    .csc-docker-close:hover {
        color: transparent;
        left: 15px;
    }

    .csc-docker-host {
        left: 50px;
        width: calc(100% - 50px);
    }

    .csc-docker-menu span {
        display: none;
    }
}